* Encoding: windows-1252.
Title Census of Canada, 1991 : BSTs, enumeration area level, J9102.
Subtitle SPSS control commands by Rajendra Khajuria, UT/DLS, 2007/05/08.
file handle in name='x' lrecl=2000.    /* Replace 'x' with input file path name for corresponding data file. 
data list file=in / 
 RP		1 - 2                      
 FED87      	3 - 5
 EA       	6 - 8
 CD 	    	9 - 10
 CSDC           11 - 13
 CSDTYPE     	14 - 16 (a)
 CCS            17 - 19
 CMA            20 - 22
 CAP            23 - 23
 CAT            24 - 24 (a)
 CTNAME         25 - 31
 CTCODE         32 - 35
 RURBAN         36 - 39
 BLNK    	40 - 52
v2    61   -  70  
v3    71   -  80  
v4    81   -  90  
v5    91   -  100 
v6    101  -  110 
v7    111  -  120 
v8    121  -  130 
v9    131  -  140 
v10   141  -  150 
v11   151  -  160 
v12   161  -  170 
v13   171  -  180 
v14   181  -  190 
v15   191  -  200 
v16   201  -  210 
v17   211  -  220 
v18   221  -  230 
v19   231  -  240 
v20   241  -  250 
v21   251  -  260 
v22   261  -  270 
v23   271  -  280 
v24   281  -  290 
v25   291  -  300 
v26   301  -  310 
v27   311  -  320 
v28   321  -  330 
v29   331  -  340 
v30   341  -  350 
v31   351  -  360 
v32   361  -  370 
v33   371  -  380 
v34   381  -  390 
v35   391  -  400 
v36   401  -  410 
v37   411  -  420 
v38   421  -  430 
v39   431  -  440 
v40   441  -  450 
v41   451  -  460 
v42   461  -  470 
v43   471  -  480 
v44   481  -  490 
v45   491  -  500 
v46   501  -  510 
v47   511  -  520 
v48   521  -  530 
v49   531  -  540 .
variable Labels
 RP       'Region and province code'                               
 FED87    'Federal electoral district (1987 Representation Order)'
 EA       'Enumeration area (EA) code'
 CD 	  'Census division (CD) code'
 CSDC     'Census subdivision (CSD) code'
 CSDTYPE  'Census subdivision (CSD) type'
 CCS      'Census consolidated subdivision (CCS) code'
 CMA      'Census metropolitan area/census agglomeration (CMA/CA) code'
 CAP      'CMA/CA part'
 CAT	  'CMA/CA type code'
 CTNAME    'Census tract/provincial census tract name'
 CTCODE   'Census tract/provincial census tract code'  
 BLNK     'Blank'
v2  'French ethnic origin - single responses'
 v3  'French ethnic origin - multiple responses'
 v4  'English ethnic origin - single responses'
 v5  'English ethnic origin - multiple responses'
 v6  'German ethnic origin - single responses'
 v7  'German ethnic origin - multiple responses'
 v8  'Scottish ethnic origin - single responses'
 v9  'Scottish ethnic origin - multiple responses'
 v10  'Canadian ethnic origin - single responses'
 v11  'Canadian ethnic origin - multiple responses'
 v12  'Italian ethnic origin - single responses'
 v13  'Italian ethnic origin - multiple responses'
 v14  'Irish ethnic origin - single responses'
 v15  'Irish ethnic origin - multiple responses'
 v16  'Chinese ethnic origin - single responses'
 v17  'Chinese ethnic origin - multiple responses'
 v18  'Ukrainian ethnic origin - single responses'
 v19  'Ukrainian ethnic origin - multiple responses'
 v20  'North American Indian ethnic origin - single responses'
 v21  'North American Indian ethnic origin - multiple responses'
 v22  'Dutch (Netherlands) ethnic origin - single responses'
 v23  'Dutch (Netherlands) ethnic origin - multiple responses'
 v24  'East Indian, nie ethnic origin - single responses'
 v25  'East Indian, nie ethnic origin - multiple responses'
 v26  'Polish ethnic origin - single responses'
 v27  'Polish ethnic origin - multiple responses'
 v28  'Portuguese ethnic origin - single responses'
 v29  'Portuguese ethnic origin - multiple responses'
 v30  'Jewish ethnic origin - single responses'
 v31  'Jewish ethnic origin - multiple responses'
 v32  'Black ethnic origin - single responses'
 v33  'Black ethnic origin - multiple responses'
 v34  'Filipino ethnic origin - single responses'
 v35  'Filipino ethnic origin - multiple responses'
 v36  'Greek ethnic origin - single responses'
 v37  'Greek ethnic origin - multiple responses'
 v38  'Hungarian (Magyar) ethnic origin - single responses'
 v39  'Hungarian (Magyar) ethnic origin - multiple responses'
 v40  'Vietnamese ethnic origin - single responses'
 v41  'Vietnamese ethnic origin - multiple responses'
 v42  'Spanish ethnic origin - single responses'
 v43  'Spanish ethnic origin - multiple responses'
 v44  'Metis ethnic origin - single responses'
 v45  'Metis ethnic origin - multiple responses'
 v46  'Lebanese ethnic origin - single responses'
 v47  'Lebanese ethnic origin - multiple responses'
 v48  'Norwegian ethnic origin - single responses'
 v49  'Norwegian ethnic origin - multiple responses'.
value labels
RP  10    'Newfoundland'
     11     'Prince Edward Island'
     12     'Nova Scotia '
     13     'New Brunswick '
     24     'Quebec '
     35     'Ontario'
     46     'Manitoba '
     47     'Saskatchewan'
     48     'Alberta'
     59     'British Columbia '
     60     'Yukon Territory'
     61     'Northwest Territories'  /             
 CSDTYPE 'BOR' 'borough'
         'C'   'city'
         'CM'   'county (municipality)'
         'COM'   'community '
         'CT'   'canton (municipalite de)'
         'CU'   'cantons unis (municip. de)'
         'DM'   'district municipality '
         'HAM'   'hamlet '
         'ID'   'improvement district '
         'IGD'   'Indian government district'
         'LGD'   'local government district'
         'LOT'   'township and royalty'
         'MD'   'municipal district '
         'NH'   'northern hamlet'
         'NV'   'northern village '
         'P'   'paroisse (municipalite de)'
         'PAR'   'parish'
         'R'   'Indian reserve '
         'RM'   'rural municipality'
         'RV'   'resort village'
         'SA'   'special area '
         'SCM'   'subdiv of county municipality'
         'SD'   'sans designation (municip)'
         'S-E'   'Indian settlement'
         'SET'   'settlement '
         'SRD'   'subdiv of regional district'
         'SUN'   'subdivision of unorganized '
         'SV'   'summer village '
         'T'   'town   '
         'TP'   'township '
         'TR'   'terres reservees '
         'RNO'   'unorganized '
         'V'   'ville '
         'VC'   'village cri'
         'RK'   'village naskapi'
         'RL'   'village '
         'VN'   'village nordique '/
 CAP  1 'urbanized core'
      2      'urban fringe' /
 CAT 'A'	 'consolidated CMA '
      'B'      'regular CMA '
      'C '     'consolidated CA'
       'D'    'regular CA '/
 .
finish.
execute. 
